package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares two PartMats' {@link BOMLineHolder}s.
 */
public class PartMatBLComparator extends PartBLComparator {
    private static final long serialVersionUID = -2934813561955929208L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new PartMatComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());
    }

}
